Prynik
@Prynik

Почему не удается установить драйвер для AMD rx5500m на Ubuntu 20?

Какие бы версии драйверов и откуда бы не пытался установить, результат один и тот же.

Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Уже установлен пакет linux-headers-5.13.0-27-generic самой новой версии (5.13.0-27.29~20.04.1).
Уже установлен пакет linux-modules-extra-5.13.0-27-generic самой новой версии (5.13.0-27.29~20.04.1).
Уже установлен пакет amdgpu-dkms самой новой версии (1:5.6.0.15-1098277).
Уже установлен пакет amdgpu-lib самой новой версии (20.20-1098277).
Уже установлен пакет amdgpu-lib32 самой новой версии (20.20-1098277).
Уже установлен пакет rocm-hip-runtime самой новой версии (4.5.2.40502-164).
Уже установлен пакет rocm-opencl-runtime самой новой версии (4.5.2.40502-164).
Обновлено 0 пакетов, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 12 пакетов не обновлено.
Установлено или удалено не до конца 2 пакетов.
После данной операции объём занятого дискового пространства возрастёт на 0 B.
Хотите продолжить? [Д/н] y
Настраивается пакет amdgpu-dkms (1:5.6.0.15-1098277) …
Removing old amdgpu-5.6.0.15-1098277 DKMS files...

------------------------------
Deleting module version: 5.6.0.15-1098277
completely from the DKMS tree.
------------------------------
Done.
Loading new amdgpu-5.6.0.15-1098277 DKMS files...
Building for 5.13.0-27-generic
Building for architecture x86_64
Building initial module for 5.13.0-27-generic
ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/amdgpu-dkms.0.crash'
Error! Bad return status for module build on kernel: 5.13.0-27-generic (x86_64)
Consult /var/lib/dkms/amdgpu/5.6.0.15-1098277/build/make.log for more information.
dpkg: ошибка при обработке пакета amdgpu-dkms (--configure):
 installed amdgpu-dkms package post-installation script subprocess returned error exit status 10
dpkg: зависимости пакетов не позволяют настроить пакет amdgpu:
 amdgpu зависит от amdgpu-dkms (= 1:5.6.0.15-1098277), однако:
  Пакет amdgpu-dkms пока не настроен.

dpkg: ошибка при обработке пакета amdgpu (--configure):
 проблемы зависимостей — оставляем не настроенным
Отчёт apport не записан, так как сообщение об ошибке указывает на повторную ошибку от предыдущего отказа.
                                                                                                         При обработке следующих пакетов произошли ошибки:
 amdgpu-dkms
 amdgpu
E: Sub-process /usr/bin/dpkg returned an error code (1)

В чем может быть проблема? Как исправить?
  • Вопрос задан
  • 274 просмотра
Пригласить эксперта
Ответы на вопрос 2
Adamos
@Adamos
Consult /var/lib/dkms/amdgpu/5.6.0.15-1098277/build/make.log for more information.
Ответ написан
Комментировать
smorman
@smorman
When In Rome do as The Romans do...
Потому что AMD всё продолжает бодаться с Canonical и никак не договорятся, вот и байда такая с их дровишками в Ubuntu
Ответ написан
Комментировать
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы